Skip to content

List the templates.

GET
/dashboards/templates
curl --request GET \
--url https://api.siteqwality.com/dashboards/templates \
--header 'Authorization: Bearer <token>'

has_data says whether the account already has data for each template’s main source.

The templates, in gallery order

Media type application/json
object
items
required
Array<object>
object
key
required
string
name
required
string
description
required
string
category
required
string
Allowed values: uptime incidents rum logs traces overview
widget_count
required
integer format: int64
has_data
required

Whether the account already has data for the template’s main source.

boolean
requires
required

Every source the template reads, main source first.

Array<string>
Allowed values: monitors incidents rum logs metrics traces
Example
{
"items": [
{
"category": "uptime",
"requires": [
"monitors"
]
}
]
}

Missing or invalid authentication

Internal server error